## org.apache.mahout.common.iterator.sequencefile
Enum PathType

    java.lang.Object
      java.lang.Enum<PathType>
          org.apache.mahout.common.iterator.sequencefile.PathType

All Implemented Interfaces:
  Serializable, Comparable<PathType>

    public enum PathType

extends Enum<PathType>

Used by `SequenceFileDirIterable` and the like to select whether the input path specifies a directory to list, or a glob pattern.

Enum Constant Summary
`GLOB`
`LIST`

Method Summary
`static PathType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PathType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GLOB

    public static final PathType GLOB

### LIST

    public static final PathType LIST

Method Detail

### values

    public static PathType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PathType c : PathType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PathType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.